<script setup>
import {provide, ref} from 'vue';
import GuestLayout from '@/Layouts/GuestLayout.vue';
import BackMobile from "@/Components/Items/Auth/BackMobile.vue";
import { Head, Link} from '@inertiajs/vue3';
import Steps from "@/Components/Items/Auth/Steps.vue";

const currentStep = ref(3)
provide('currentStep',currentStep)

</script>

<template>
    <GuestLayout>
        <Head title="Регистрация" />
        <BackMobile/>
        <section class="reg">
            <img class="reg__background" src="/img/regBack.svg" alt="">
            <img class="reg__background dark" src="/img/regBackDark.svg" alt="">
            <div class="container">
                <div class="reg__inner">
                    <Steps />
                    <div  class="reg__right-page active" >
                        <p class="reg__right-title bigMb">Регистрация</p>
                        <p class="reg__right-thanks">Поздравляем! Вы завершили регистрацию.</p>
                        <Link class="reg__but button bigMt effect" :href="route('dashboard')">В личный кабинет</Link>
                    </div>
                </div>
            </div>
        </section>
    </GuestLayout>
</template>
